Skip to content

Get resource list by page

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Get the resource details list by page according to the filter conditions.

Method name

ManagementClient.list_resources

Request parameters

NameTypeRequiredDefault valueDescriptionSample value
namespacestringNo-Code of the permission group (permission space). Do not pass to obtain the default permission group.default
typestringNo-Resource typeDATA
pagenumberNo1Current page number, starting from 11
limitnumberNo10Number per page, maximum cannot exceed 50, default is 1010

Request Response

Type: ResourcePaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, please see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a ResourcePagingDtoResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "statusCode": 200,
    "message": "Success",
    "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
    "list": {
      "code": "ecs",
      "description": "Server",
      "name": "Server",
      "type": "API",
      "actions": "[{\"name\":\"ecs:Start\",\"description\":\"Start ECS server\"},{\"name\":\"ecs:Stop\",\"description\":\"Stop ECS server\"}]",
      "apiIdentifier": "https://my-awesome-api.com/api",
      "namespace": "default"
    }
  }
}

Data Structure

ResourcePagingDto

NameTypeRequiredDescriptionSample value
statusCodenumberYesBusiness status code, which can be used to determine whether the operation is successful. 200 means success.200
messagestringYesDescriptionSuccess
apiCodenumberNoSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringNoRequest ID. Returned when the request fails.934108e5-9fbf-4d24-8da1-c330328abd6c
totalCountnumberyestotal number of records
listarrayyesdata Nested type: <a ResourceDto.

ResourceDto

nametypeIs it required?DescriptionSample value
codestringyesResource unique identifierecs
descriptionstringnoResource descriptionServer
namestringnoResource nameServer
typestringyesResource type, such as data, API, button, menuDATA
actionsarraynoAction type defined by the resource Nested type: <a ResourceAction. Array length limit: 100.[{"name":"ecs:Start","description":"Start ECS server"},{"name":"ecs:Stop","description":"Stop ECS server"}]
apiIdentifierstringNoURL identifier of API resourcehttps://my-awesome-api.com/api
namespacestringNoCode of the permission group (permission space). If not passed, the default permission group will be obtained.default
linkedToTenantbooleannoWhether the tenant application is associated with the self-built application resource

ResourceAction

NameTypeIs it required?DescriptionSample value
namestringyesResource operation nameecs:Start
descriptionstringyesResource operation descriptionecs:Start

Agent infrastructure for identity, memory, and web action.